package listeners;
import javax.swing.*;


import java.awt.*;
import java.awt.event.*;

import simpleanimation.*;


public class StartAndStopButton extends JFrame {
	Timer timer;
	boolean animated=false;
	JButton button;
	
	
	public StartAndStopButton (String title){
		super(title);
		this.setSize(800, 600);
		this.setDefaultCloseOperation(EXIT_ON_CLOSE);
		//add code for the content of this frame here
		SimpleShapeContainer p=new SimpleShapeContainer();	
		p.setBackground(new Color(176, 196,222));
		
		
		//1. adding SmartRectangularShapes: ellipse, rectangle, arc
		SmartRectangularShape ball=new SmartEllipse();
		ball.setFillColor(Color.BLUE);
		ball.setSize(50, 50);
		ball.setLocation(75, 75);
	
		p.addShape(ball);		
	
		
		
		
		button=new JButton("Start");
		button.addActionListener(new StartStopActionListener());
		

		p.add(button);
		this.add(p);
		this.setVisible(true);
	
	
		
		timer=new Timer(100, new BouncingBallAnimationListener(ball, 20, this));
		
		
	}
	
	class StartStopActionListener implements ActionListener
	{
			

		public void actionPerformed(ActionEvent e) 
		{
			if(animated)
			{
				timer.stop();
				button.setText("Start");
				animated=false;
			}
			else
			{
				timer.start();
				button.setText("Stop");
				animated=true;
			}
		}
	}
	public static void main(String [] args)
	{
		JFrame f=new StartAndStopButton("Start and stop animation");	
	}

}
